> For the complete documentation index, see [llms.txt](https://developers.gurupay.eu/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.gurupay.eu/api-reference/virtual-ibans/virtual-iban-balance-reporting.md).

# Virtual IBAN balance reporting

## Introduction

All customers subscribed to virtual IBANs product must report an actual balance of vIBAN on demand. To automate such queries customers must provide an API endpoint that will be called by GuruPay systems.

GuruPay system will issue a `GET` HTTP request to provided URL. `Authorization` header will be sent with customer generated API token.

Endpoint is expected to return vIBAN balance as an `integer` in cents.

## Expected response specification

<mark style="color:green;">`GET`</mark> `https://<balance-reporting-url>/:iban`

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Path parameters**

| Name   | Type   | Description           |
| ------ | ------ | --------------------- |
| `iban` | string | vIBAN. e.g. LT0034001 |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "balance": 5500
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.gurupay.eu/api-reference/virtual-ibans/virtual-iban-balance-reporting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
